601,100
562,"NULL"
586,"C:\Program Files\Applix\Custom\TM1Data\PlanningTemplate\testdim.txt"
585,"\\Talukde\C\Program Files\Applix\Custom\TM1Data\PlanningTemplate\testdim.txt"
564,
565,"hdlITYA=aXVZ0>^Uf9^=h95`T[?@`mW@^D@dP1qeGChysxRHEG^t7rOzUyu44xJl@N209kEc1Lwprgy]sfWi2XKu^Ei>BVa\rTR;[AlP@TDNto7c=\gHQNj1xKdMbbhfxP6f\lY=>;q[i@pyQ32[UQ^I;1cP@6vjuNVyhqFvXOhlwCWf\:;au\xNR\bkOj0^47p]Uz]>"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pPlan
pVersion
561,2
2
2
590,2
pPlan,""
pVersion,""
637,2
pPlan,Plan
pVersion,Version
577,0
578,0
579,0
580,0
581,0
582,0
572,51

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

vObjectPrefix = attrs('}sm_controls', 'subman_object_prefix', 'value');
vObjectSeparator = attrs('}sm_controls', 'subman_object_separator', 'value');

vVersionDim = vObjectPrefix | 'sm_versions' | vObjectSeparator | pPlan;
vVersionStatus = attrs(vVersionDim, pVersion, 'Status');

if (vVersionStatus @<> '');
vSecuritySetting = attrs(vObjectPrefix | 'sm_version_status',  vVersionStatus, 'Element Level Security');

if (vSecuritySetting @<> '');

vElementSecurityCube = '}ElementSecurity_' | pPlan;

vDim1 = TABDIM(vElementSecurityCube, 1);
if (vDim1 @= '');
CUBECREATE( vElementSecurityCube, pPlan, '}Groups');

vGroupIndex = 1;
vGroupCtr = DIMSIZ('}Groups');
vVersionCtr = DIMSIZ(pPlan);
while (vGroupIndex <= vGroupCtr);
vGroup = DIMNM('}Groups', vGroupIndex);

vVersionIndex = 1;
while (vVersionIndex <= vVersionCtr);
vVersion = DIMNM(pPlan, vVersionIndex);
if (vGroup @= 'ADMIN');
ElementSecurityPut('ADMIN', pPlan, vVersion, 'ADMIN');
else;
ElementSecurityPut('NONE', pPlan, vVersion, vGroup);
endif;
vVersionIndex = vVersionIndex + 1;
end;

vGroupIndex = vGroupIndex + 1;
end;

endif;

endif;

endif;





573,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
574,5

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****


575,35

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

if (vSecuritySetting @<> '');

vTaskDimension = vObjectPrefix | 'sm_versiontasks' | vObjectSeparator | pPlan | vObjectSeparator | pVersion;

vGroupIndex = 1;
vGroupCtr = DIMSIZ('}Groups');
while (vGroupIndex <= vGroupCtr);
vGroup = DIMNM('}Groups', vGroupIndex);

if (vGroup @= 'ADMIN');
ElementSecurityPut('ADMIN', pPlan, pVersion, 'ADMIN');
else;
ElementSecurityPut('NONE', pPlan, pVersion, vGroup);
endif;

vGroupIndex = vGroupIndex + 1;
end;

vTaskCount = DIMSIZ(vTaskDimension);
vTaskIndex = 1;
while (vTaskIndex <= vTaskCount);
vTask = DIMNM( vTaskDimension, vTaskIndex);
vOwnerGroup = attrs(vTaskDimension, vTask, 'Owner Group');
if (vOwnerGroup @<> '');
ElementSecurityPut(vSecuritySetting, pPlan, pVersion, vOwnerGroup);
endif;
vTaskIndex = vTaskIndex + 1;
end;

endif;

576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
